=== debian/changelog ===
phonon (4:4.7.0really4.4.2-0ubuntu1common0hedley1) lucid; urgency=low

  * Branched from lp:ubuntu/phonon at maverick tag 4:4.7.0really4.4.2-0ubuntu1
    to rebuild for lucid-based Hedley project
  * debian/control: Add Vcs-Bzr: lp:~hedley-team/hedley/phonon

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Fri, 15 Oct 2010 12:53:10 -0400

phonon (4:4.7.0really4.4.2-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Switch to source format 3.0 (quilt)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 07 Jun 2010 18:17:03 -0400

phonon (4:4.7.0really4.4.1-0ubuntu3) maverick; urgency=low

  * Bump the Breaks version too. I really should have test installed that.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 20 May 2010 23:37:54 -0400

phonon (4:4.7.0really4.4.1-0ubuntu2) maverick; urgency=low

  * Bump version number so that the phonon packages are installable

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 20 May 2010 23:18:01 -0400

phonon (4:4.6.2really4.4.1-0ubuntu1) maverick; urgency=low

  * Sync with Debian, now packaging separately from Qt since QtWebKit is also packaged separately
  * Bump version number to match ours
  * Bump Qt build-depends to 4.7

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 May 2010 10:13:24 +0000
