=== debian/control ===
Source: phonon
Section: sound
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.13), quilt, cmake (>= 2.6.2),
 pkg-kde-tools (>= 0.6.4), dpkg-dev (>= 1.15.5), automoc,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libglib2.0-dev, libglu1-mesa-dev, libgstreamer-plugins-base0.10-dev, libgstreamer0.10-dev,
 libpulse-dev (>= 0.9.21), libqt4-dev (>= 4.7), libqt4-opengl-dev (>= 4.7),
 libxine-dev (>= 1.1.16.3), libxml2-dev
Build-Conflicts: libxine2
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/phonon/#_trunk_packages_phonon_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/phonon
Vcs-Bzr: lp:~hedley-team/hedley/phonon

Package: phonon
Architecture: all
Depends: ${misc:Depends}, libphonon4 (>= ${source:Version}),
 phonon-backend-xine | phonon-backend
Suggests: phonon-backend-xine, phonon-backend-gstreamer, phonon-backend-vlc,
 phonon-backend-mplayer
Description: metapackage for the Phonon multimedia framework
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This metapackage ensures that a user has working Phonon configuration
 installed on the system (the core library and at least one backend).

Package: libphonon-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libphonon4 (= ${binary:Version}),
 ${sameVersionDep:libqt4-dev:libphonon4}
Replaces: kdelibs5-dev (<< 4:4.0.81)
Description: development files for the Phonon multimedia framework
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Qt 4 applications
 using Phonon cross-platform multimedia framework.

Package: libphonon4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<= 4:4.0.80)
Breaks: phonon-backend-xine (<< 4:4.7.0really4.3.80)
Description: the core library of the Phonon multimedia framework
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the core library of the Phonon cross-platform multimedia
 framework for Qt 4.  It is required to run applications that use Phonon.

Package: phonon-backend-xine
Architecture: any
Provides: phonon-backend
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}
Replaces: kde-icons-oxygen (<< 4:4.1.80)
Description: Phonon Xine 1.1.x backend
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the Xine 1.1.x backend for Phonon.

Package: phonon-backend-gstreamer
Architecture: any
Provides: phonon-backend
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstreamer0.10-plugins-base, gstreamer0.10-alsa [linux-any]
Recommends: gstreamer0.10-plugins-good
Suggests: gstreamer0.10-plugins-ugly
Description: Phonon GStreamer 0.10.x backend
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains GStreamer 0.10.x backend for Phonon.
 .
 You should install gstreamer0.10-plugins-good to get support for playing
 popular free multimedia formats and gstreamer0.10-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon-backend-null
Architecture: all
Provides: phonon-backend
Depends: libphonon4, ${misc:Depends}
Conflicts: phonon-backend
Description: Phonon null backend (no real backend)
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package does not provide any real Phonon backend. It can be used to
 disable Phonon audio/video capabilities. Please note that Phonon behaviour 
 with this package installed has not been well tested.

Package: phonon-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}, libphonon4 (= ${binary:Version})
Conflicts: phonon-backends-dbg
Replaces: phonon-backends-dbg
Suggests: phonon-backend-xine (= ${binary:Version}),
 phonon-backend-gstreamer (= ${binary:Version})
Description: Phonon debugging symbols
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains debugging symbols of the Phonon library and main
 backends You should install this package when you are about to report a crash
 or want to debug a problem with Phonon or its backends.
