=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

UPSTREAMVERSION ?= $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: \(.*\)-.*/\1/')

DEB_DH_MAKESHLIBS_ARGS_libphonon4 = -V'libphonon4 (>= $(UPSTREAMVERSION)), phonon'

DEB_CMAKE_EXTRA_FLAGS += -DPLUGIN_INSTALL_DIR=/usr/lib/qt4/
DEB_DH_SHLIBDEPS_ARGS_ALL := -- -xphonon

# Strict interdependencies for backends
DEB_STRICT_LOCAL_SHLIBS_PACKAGES = $(DEB_LIBRARY_PACKAGES)
include /usr/share/pkg-kde-tools/qt-kde-team/1/library-packages.mk

binary-predeb/phonon-backend-xine::
	dh_xine -pphonon-backend-xine
