=== debian/changelog ===
phonon (4:4.7.0really4.5.0-3ubuntu4) oneiric; urgency=low

  * Fix up build to work with multiarch qt4-x11 (but don't convert
    phonon itself for multiarch).  LP: #829509.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 19 Aug 2011 21:56:00 +0000

phonon (4:4.7.0really4.5.0-3ubuntu3) oneiric; urgency=low

  * Add build-dependency on libx11-dev, fixes build
  * Update symbols files
  * Add README.Ubuntu for future reference

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 11 Aug 2011 15:14:25 +0000

phonon (4:4.7.0really4.5.0-3ubuntu2) oneiric; urgency=low

  * Add patches recommended by upstream to fix Pulseaudio integration:
   - kubuntu_phonon-4.5.0-fix-capture-categories.patch
   - kubuntu_phonon-4.5.0-fix-capture-device-pulseaudio-order.patch
   - kubuntu_phonon-4.5.0-fix-capture-devices.patch
   - kubuntu_phonon-4.5.0-fix-device-categories.patch
   - kubuntu_phonon-4.5.0-pulse-qpow.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Aug 2011 16:19:48 +0100

phonon (4:4.7.0really4.5.0-3ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remainin changes:
    - Change default backend to phonon-backend-gstreamer.
    - Bump version in dependencies and symbols files from 4:4.6.0 to 4:4.7.0.
    - libphononexperimental-dev Replaces/Breaks
      libphonon-dev (<< 4:4.7.0really4.5.0-3ubuntu1~).
    - phonon-dbg Conflicts phonon-backends-dbg.
    - Add transitional package libphonon4-designer.
    - libphonon-dev Breaks/Replaces libphonon4-designer as the Qt Designer
      plugin is now part of libphonon-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 25 May 2011 10:29:21 +0200

phonon (4:4.7.0really4.5.0-0ubuntu3) natty; urgency=low

  * Add missing headers in libphonon-dev.install

 -- Romain Perier <romain.perier@gmail.com>  Mon, 04 Apr 2011 21:36:22 +0200

phonon (4:4.7.0really4.5.0-0ubuntu2) natty; urgency=low

  * Upload without libqzeitgeist dependency

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Apr 2011 18:53:59 +0100

phonon (4:4.7.0really4.5.0-0ubuntu1) natty; urgency=low

  * New upstream release, LP: #750480
  * Create new package libphonon4-designer for the Qt4 Designer plugin
  * Add libqzeitgeist to build dependencies
  * debian/libphononexperimental4.install:
    Change library name to libphononexperimental4.so.4.*
  * Update symbols

 -- Romain Perier <romain.perier@gmail.com>  Tue, 29 Mar 2011 18:52:38 +0200

phonon (4:4.7.0really4.4.4-0ubuntu5) natty; urgency=low

  * Make packages that use a play, seek, stop or pause symbol
    depend on phonon. This was accidentally dropped in 4.7.0really4.4.4.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 21 Feb 2011 18:57:34 +0100

phonon (4:4.7.0really4.4.4-0ubuntu4) natty; urgency=low

  * No-change rebuild against Qt 4:4.7.1-0ubuntu9 which has a changed inline
    function to fix LP 705689, this however causes a segfault in libphonon.

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 18 Feb 2011 01:09:21 +0100

phonon (4:4.7.0really4.4.4-0ubuntu3) natty; urgency=low

  * Re-add phonon to shlibdeps in libphonon4.symbols.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 04 Feb 2011 10:06:10 +0100

phonon (4:4.7.0really4.4.4-0ubuntu2) natty; urgency=low

  * Update symbol file for armel to fix FTBFS.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 26 Jan 2011 11:39:56 +0100

phonon (4:4.7.0really4.4.4-0ubuntu1) natty; urgency=low

  * New upstream release
  * Xine and GStreamer backends now split out source, remove build-deps and
    binary packages from debian/control
  * Remove 02_no_rpath.patch, now upstream
  * Disable kubuntu04_no_va_mangle.patch, no longer applies
  * Remove kubuntu_05_gst_codec_installer_window_id.diff, kubuntu_06_forward_events.diff,
    kubuntu_07_include_fix.diff, gstreamer now separate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Jan 2011 10:12:11 +0000

phonon (4:4.7.0really4.4.3-0ubuntu4) natty; urgency=low

  * Add kubuntu_05_gst_codec_installer_window_id.diff
    http://gitorious.org/phonon/phonon/commit/171b1c677852083a8ca803671145afbc2f51f272
    set gst-codec-installer's transitional window id to the QApp's
    activeWindow's (if any)
  * Add kubuntu_06_forward_events.diff
    http://gitorious.org/phonon/phonon/commit/211f1d0269de59238754df6ab147f2fdea63fba2
    Forward mouse/key events in VideoWidget to QWidget,
    otherwise the videowidget eats the mouse when in fullscreen in dragonplayer
  * Add kubuntu_07_include_fix.diff
    http://gitorious.org/phonon/phonon/commit/56f731f9fd763fb8b371abab210fbe01b8cdcd21
    include fix

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 04 Dec 2010 16:26:08 +0000

phonon (4:4.7.0really4.4.3-0ubuntu3) natty; urgency=low

  * Separate libphononexperimental4.symbols for i386 and amd64

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 29 Nov 2010 23:14:24 +0000

phonon (4:4.7.0really4.4.3-0ubuntu2) natty; urgency=low

  * Create new package libphononexperimental4 for libphononexperimental
    as requested by upstream (Harald), headers in libphonon-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Nov 2010 16:10:25 +0000

phonon (4:4.7.0really4.4.3-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Nov 2010 11:34:29 +0000

phonon (4:4.7.0really4.4.2-1ubuntu2) natty; urgency=low

  * export CXXFLAGS += -Wa,-mimplicit-it=thumb on armel to work around Thumb 2
    IT instruction porting problems in debian/rules
  * Add debian/patches/kubuntu04_no_va_mangle.patch to pass -Wno-psabi to
    remove unneeded VA list related warnings (thanks to Alessandro Ghersi)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 27 Oct 2010 12:57:47 -0400

phonon (4:4.7.0really4.4.2-1ubuntu1) natty; urgency=low

  * Merge with Debian, remaining changes:
   - Bump version number to make it installable
   - Bump the Breaks version too. I really should have test installed that.
   - Bump Qt build-depends to 4.7

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 15 Oct 2010 14:15:27 +0100
