## phonon 4.7.0really4.6.0

=== debian/changelog ===
phonon (4:4.7.0really4.6.0-0ubuntu1) precise; urgency=low

  [ Jonathan Riddell ]
  * New upstream release
  * Fix cmake line for multiarch in debian/rules, thanks to Felix Geyer

  [ Felix Geyer ]
  * Update install files.
  * Refresh patches.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 16 Feb 2012 12:48:13 +0100

phonon (4:4.7.0really4.5.1-0ubuntu3) precise; urgency=low

  * Change phonon-backend-null to arch:any and multi-arch:same so it can copy
    the debconf template from phonon. And also it depends on libphonon4 so we
    need to make sure it's pulled in from the correct architecture.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 15 Dec 2011 22:37:41 +0100

phonon (4:4.7.0really4.5.1-0ubuntu2) precise; urgency=low

  * Build for multiarch. (LP: #893170)
    - Switch to debhelper compat level v9.
    - Change phonon to arch:any and multi-arch:same.
    - Update no_rpath.patch to include multiarch lib paths.
    - Fix debconf prompt to cope with multi-arch:same phonon package.
  * Drop libphonon4-designer transitional package, it's not needed anymore.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 15 Dec 2011 21:40:54 +0100

phonon (4:4.7.0really4.5.1-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge from Debian unstable, remaining changes:
    - Change default backend to phonon-backend-gstreamer.
    - Bump version in dependencies and symbols files from 4:4.6.0 to 4:4.7.0.
    - libphononexperimental-dev Replaces/Breaks
      libphonon-dev (<< 4:4.7.0really4.5.0-3ubuntu1~).
    - phonon-dbg Conflicts phonon-backends-dbg.
    - Add transitional package libphonon4-designer.
    - libphonon-dev Breaks/Replaces libphonon4-designer as the Qt Designer
      plugin is now part of libphonon-dev.
    - Add README.Ubuntu
    - Remove build-dep on libqzeitgeist-dev, not in main
    - Fix path of libphononwidgets.so in libphonon-dev.install for multiarch
  * Remove patch now upstream
    - upstream_PHONON_EXPORT_DEPRECATED.diff
    - kubuntu_phonon-4.5.0-fix-capture-categories.patch
    - kubuntu_phonon-4.5.0-fix-capture-device-pulseaudio-order.patch
    - kubuntu_phonon-4.5.0-fix-capture-devices.patch
    - kubuntu_phonon-4.5.0-fix-device-categories.patch
    - kubuntu_phonon-4.5.0-pulse-qpow.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Nov 2011 22:46:09 +0000
