=== debian/watch ===
version=3

opts=uversionmangle=s/^/4.7.0really/ \
ftp://ftp.kde.org/pub/kde/stable/phonon/([\d.]+)/src/ phonon-([\d.]+).tar.(?:bz2|xz)
